API ReferenceapicommunityGET /v1/milestones/{user_id}

GET /v1/milestones/\{user_id\}

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • user_id (string) required

Query parameters

  • cursor (string) —
  • limit (integer) —

Responses

200 Paginated milestones for user

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "user_id": {
            "type": "string"
          },
          "metric_key": {
            "type": [
              "string",
              "null"
            ]
          },
          "value_numeric": {
            "type": [
              "string",
              "null"
            ]
          },
          "value_text": {
            "type": [
              "string",
              "null"
            ]
          },
          "image_url": {
            "type": [
              "string",
              "null"
            ]
          },
          "body": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "user_id",
          "metric_key",
          "value_numeric",
          "value_text",
          "image_url",
          "body",
          "created_at"
        ]
      }
    },
    "next_cursor": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "data",
    "next_cursor"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/milestones/{user_id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"